/*! @file    main.c
 *  @brief   AWU唤醒
 *  @version 2021-06-30  V1.0.0
 *
 * Copyright (C) 2020-2030 NCC Limited. All rights reserved.
 *
 * THIS SOFTWARE IS PROVIDED BY NCC "AS IS" AND ANY EXPRESSED OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL NCC OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
 * IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
 * THE POSSIBILITY OF SUCH DAMAGE.
 */

#include "nccm0670_exti.h"
#include "nccm0670_eval.h"
#include "nccm0670_gpio.h"
#include "nccm0670_awu.h"
#include "nccm0670_pwr.h"
#include "nccm0670_rcc.h"
#include "systick.h"

void awu_gpio_init(void)
{
    RCC_EnablePeripheralClock(RCC_GPIOC);
    gpio_config_t GPIO_InitStruct = { 0 };
    GPIO_InitStruct.pin           = GPIO_PIN_11;
    GPIO_InitStruct.mode          = GPIO_MODE_ALTERNATE;
    GPIO_InitStruct.pull          = GPIO_NOPULL;
    GPIO_InitStruct.speed         = GPIO_SPEED_FREQ_LOW;
    GPIO_InitStruct.alternate     = GPIO_AF0_BEEP;
    GPIO_Init(GPIOC, &GPIO_InitStruct);
}

int main(void)
{
    RCC_EnablePeripheralClock(RCC_AWU);
    /*复用PA2为BEEP输出*/
    awu_gpio_init();
    /*开低频时钟*/
    RCC_EnableOSC(RCC_OSC_LSI);
    /*开BUZ，31分频*/
    awu_config_t cfg ={
        .awu_timeout = 0,
        .buz_frequency = 500,
    };
    AWU_Init(&cfg);
    BUZ_Enable();
    
    while (1)
    {
    }
}

