/*! @file    main.c
 *  @brief   Flash读写例程
 *  @version 2021-06-25  V1.0.0
 *
 * Copyright (C) 2020-2030 NCC Limited. All rights reserved.
 *
 * THIS SOFTWARE IS PROVIDED BY NCC "AS IS" AND ANY EXPRESSED OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL NCC OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
 * IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
 * THE POSSIBILITY OF SUCH DAMAGE.
 */
#include "nccm0670_lcd.h"
#include "nccm0670_rcc.h"

int main(void)
{
    lcd_config_t config = {0};

    /* 使能LSI时钟 */
    RCC_EnableOSC(RCC_OSC_LSI);
    /* 使能LCD时钟 */
    RCC_EnablePeripheralClock(RCC_LCD);
    /* LCD电阻模式 */
    config.drive_mode = LCD_DRIVE_MODE_RESISTIVE_NETWORK_AUTO1;
    /* LCD对比度 */
    config.contrast   = LCD_CONTRAST_LEVEL_13;
    /* 初始化LCD */
    LCD_Init(&config);
    /* 设置使用的COM和SEG引脚 */
    LCD_SetComAndSegMask(0xF, 0xfff, 0x0);
    /* 使能LCE模块 */
    LCD_Enable();
    /* 更新LCD显示内容 */
    LCD_Write(0, 0x0F);

    while (1)
    {
    }
}