/*! @file    nccm0670_awu.h
 *  @brief   IWDG固件库
 *  @version 2021-04-14  V1.0.0
 *
 * Copyright (C) 2020-2030 NCC Limited. All rights reserved.
 *
 * THIS SOFTWARE IS PROVIDED BY NCC "AS IS" AND ANY EXPRESSED OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL NCC OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
 * IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
 * THE POSSIBILITY OF SUCH DAMAGE.
 */
#ifndef NCC0670_AWU_H
#define NCC0670_AWU_H
#include "nccm0670.h"
/*!
 * @addtogroup nccm0670_awu
 * @{
 */

/*******************************************************************************
 * Definitions
 ******************************************************************************/
typedef struct
{
    uint8_t awu_timeout;     /*!< AWU超时时间设置 */
    uint16_t buz_frequency;  /*!< BUZ频率设置 */
} awu_config_t;

/*******************************************************************************
 * API
 ******************************************************************************/
#if defined(__cplusplus)
extern "C" {
#endif
void AWU_DeInit(void);
void AWU_Init(awu_config_t *config);
void AWU_Enable(void);
void AWU_Disable(void);
void BUZ_Enable(void);
void BUZ_Disable(void);

#if defined(__cplusplus)
}
#endif

/*! @} */

#endif /* NCC0670_AWU_H */
/*******************************************************************************
 * EOF
 ******************************************************************************/
