#ifndef I2C_H
#define I2C_H
#include "stdint.h"
#include "nccm0670.h"

uint8_t i2c_master_transmit(I2C_Type *i2cx, uint16_t dev_address, uint8_t *data, uint16_t size, uint32_t timeout);
uint8_t i2c_master_receive(I2C_Type *i2cx, uint16_t dev_address, uint8_t *data, uint16_t size, uint32_t timeout);
uint8_t i2c_slave_transmit(I2C_Type *i2cx, uint8_t *data, uint16_t size, uint32_t timeout);
uint8_t i2c_slave_receive(I2C_Type *i2cx, uint8_t *data, uint16_t size, uint32_t timeout);

uint8_t i2c_mem_read(I2C_Type *i2cx,
                     uint16_t dev_address,
                     uint16_t mem_address,
                     uint16_t mem_address_size,
                     uint8_t *data,
                     uint16_t size,
                     uint32_t timeout);
uint8_t i2c_mem_write(I2C_Type *i2cx,
                      uint16_t dev_address,
                      uint16_t mem_address,
                      uint16_t mem_address_size,
                      uint8_t *data,
                      uint16_t size,
                      uint32_t timeout);
#endif
