/*! @file    nccm0670_eval.h
 *  @brief   nccm0670评估板辅助函数
 *  @version 2021-06-25  V1.0.0
 *
 * Copyright (C) 2020-2030 NCC Limited. All rights reserved.
 *
 * THIS SOFTWARE IS PROVIDED BY NCC "AS IS" AND ANY EXPRESSED OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL NCC OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
 * IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
 * THE POSSIBILITY OF SUCH DAMAGE.
 */
#ifndef NCC0670_EVAL_H
#define NCC0670_EVAL_H
#include "nccm0670.h"
#include <stdio.h>

/* exported types */
typedef enum
{
    LED1,
    LED2,
    LED3,
    LED4
} ncc_eval_led_t;

typedef enum
{
    KEY_USER,
    KEY_WAKEUP
} ncc_eval_key_t;

#ifdef __cplusplus
extern "C" {
#endif
void ncc_eval_led_init(ncc_eval_led_t led);
void ncc_eval_led_on(ncc_eval_led_t led);
void ncc_eval_led_off(ncc_eval_led_t led);
void ncc_eval_led_toggle(ncc_eval_led_t led);
void ncc_eval_key_init(ncc_eval_key_t key);
uint8_t ncc_eval_key_state_get(ncc_eval_key_t key);
void ncc_eval_com_init(void);

#ifdef __cplusplus
}
#endif

#endif
